Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class DTDParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.XMLGrammarParser
              weblogic.apache.xerces.parsers.DTDParser

All Implemented Interfaces:
  XMLDTDContentModelHandler, XMLDTDHandler

Deprecated. please use JDK supplied XML parsers and transformers

    public abstract class DTDParser

extends XMLGrammarParser
implements XMLDTDHandler, XMLDTDContentModelHandler

Field Summary
`protected XMLDTDScanner` | `fDTDScanner` Deprecated. fDTDScanner

Fields inherited from class weblogic.apache.xerces.parsers.XMLGrammarParser
`fDatatypeValidatorFactory`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`DTDParser(SymbolTable symbolTable)` Deprecated.

Method Summary
`void` | `attributeDecl(String elementName, String attributeName, String type, String[] enumeration, String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augmentations)` Deprecated. An attribute declaration.
`void` | `childrenElement(String elementName)` Deprecated. A referenced element in a children content model.
`void` | `childrenEndGroup()` Deprecated. The end of a children group.
`void` | `childrenOccurrence(short occurrence)` Deprecated. The occurrence count for a child in a children content model.
`void` | `childrenSeparator(short separator)` Deprecated. The separator between choices or sequences of a children content model.
`void` | `childrenStartGroup()` Deprecated. The start of a children group.
`void` | `comment(XMLString text, Augmentations augmentations)` Deprecated. A comment.
`void` | `elementDecl(String name, String contentModel, Augmentations augmentations)` Deprecated. An element declaration.
`void` | `endAttlist(Augmentations augmentations)` Deprecated. The end of an attribute list.
`void` | `endConditional(Augmentations augmentations)` Deprecated. The end of a conditional section.
`void` | `endContentModel()` Deprecated. The end of a content model.
`void` | `endDTD(Augmentations augmentations)` Deprecated. The end of the DTD.
`void` | `endEntity(String name, Augmentations augmentations)` Deprecated. This method notifies the end of an entity.
`void` | `endExternalSubset(Augmentations augmentations)` Deprecated. The end of the external subset.
`void` | `externalEntityDecl(String name, XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. An external entity declaration.
`DTDGrammar` | `getDTDGrammar()` Deprecated. getDTDGrammar
`void` | `internalEntityDecl(String name, XMLString text, XMLString nonNormalizedText, Augmentations augmentations)` Deprecated. An internal entity declaration.
`void` | `mixedElement(String elementName)` Deprecated. A referenced element in a mixed content model.
`void` | `notationDecl(String name, XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. A notation declaration
`void` | `processingInstruction(String target, XMLString data, Augmentations augmentations)` Deprecated. A processing instruction.
`void` | `startAttlist(String elementName, Augmentations augmentations)` Deprecated. The start of an attribute list.
`void` | `startConditional(short type, Augmentations augmentations)` Deprecated. The start of a conditional section.
`void` | `startContentModel(String elementName, short type)` Deprecated. The start of a content model.
`void` | `startDTD(XMLLocator locator, Augmentations augmentations)` Deprecated. The start of the DTD.
`void` | `startEntity(String name, String publicId, String systemId, String encoding)` Deprecated. This method notifies of the start of an entity.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. The start of the external subset.
`void` | `textDecl(String version, String encoding)` Deprecated. Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(String name, XMLResourceIdentifier identifier, String notation, Augmentations augmentations)` Deprecated. An unparsed entity declaration.

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`endParameterEntity, ignoredCharacters, startParameterEntity, textDecl`

Methods inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`any, element, empty, endContentModel, endGroup, occurrence, pcdata, separator, startContentModel, startGroup`

Field Detail

### fDTDScanner

    protected XMLDTDScanner fDTDScanner

  Deprecated.
  fDTDScanner

Constructor Detail

### DTDParser

    public DTDParser(SymbolTable symbolTable)

  Deprecated.
  Parameters:
    `symbolTable` -

Method Detail

### getDTDGrammar

    public DTDGrammar getDTDGrammar()

  Deprecated.
  getDTDGrammar

  Returns:
    the grammar created by this parser

### startEntity

    public void startEntity(String name,
                            String publicId,
                            String systemId,
                            String encoding)
                     throws XNIException

  Deprecated.
  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" and parameter entity names start with '%'.

  Note: Since the DTD is an entity, the handler will be notified of the start of the DTD entity by calling the startEntity method with the entity name "[dtd]" before calling the startDTD method.

  Parameters:
    `name` - The name of the entity.
    `publicId` - The public identifier of the entity if the entity is external, null otherwise.
    `systemId` - The system identifier of the entity if the entity is external, null otherwise.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    public void textDecl(String version,
                         String encoding)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method is only called for external parameter entities referenced in the DTD.

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startDTD

    public void startDTD(XMLLocator locator,
                         Augmentations augmentations)
                  throws XNIException

  Deprecated.
  The start of the DTD.

  Specified by:
    `startDTD` in interface `XMLDTDHandler`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augmentations)
                 throws XNIException

  Deprecated.
  A comment.

  Specified by:
    `comment` in interface `XMLDTDHandler`
  Parameters:
    `text` - The text in the comment.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(String target,
                                      XMLString data,
                                      Augmentations augmentations)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `XMLDTDHandler`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augmentations)
                             throws XNIException

  Deprecated.
  The start of the external subset.

  Specified by:
    `startExternalSubset` in interface `XMLDTDHandler`
  Parameters:
    `identifier` - The resource identifier.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augmentations)
                           throws XNIException

  Deprecated.
  The end of the external subset.

  Specified by:
    `endExternalSubset` in interface `XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(String name,
                            String contentModel,
                            Augmentations augmentations)
                     throws XNIException

  Deprecated.
  An element declaration.

  Specified by:
    `elementDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(String elementName,
                             Augmentations augmentations)
                      throws XNIException

  Deprecated.
  The start of an attribute list.

  Specified by:
    `startAttlist` in interface `XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(String elementName,
                              String attributeName,
                              String type,
                              String[] enumeration,
                              String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augmentations)
                       throws XNIException

  Deprecated.
  An attribute declaration.

  Specified by:
    `attributeDecl` in interface `XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(Augmentations augmentations)
                    throws XNIException

  Deprecated.
  The end of an attribute list.

  Specified by:
    `endAttlist` in interface `XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An internal entity declaration.

  Specified by:
    `internalEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An external entity declaration.

  Specified by:
    `externalEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `publicId` - The public identifier of the entity or null if the the entity was specified with SYSTEM.
    `systemId` - The system identifier of the entity.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   String notation,
                                   Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An unparsed entity declaration.

  Specified by:
    `unparsedEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity.
    `publicId` - The public identifier of the entity, or null if not specified.
    `systemId` - The system identifier of the entity, or null if not specified.
    `notation` - The name of the notation.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augmentations)
                      throws XNIException

  Deprecated.
  A notation declaration

  Specified by:
    `notationDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the notation.
    `publicId` - The public identifier of the notation, or null if not specified.
    `systemId` - The system identifier of the notation, or null if not specified.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 Augmentations augmentations)
                          throws XNIException

  Deprecated.
  The start of a conditional section.

  Specified by:
    `startConditional` in interface `XMLDTDHandler`
  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### endConditional

    public void endConditional(Augmentations augmentations)
                        throws XNIException

  Deprecated.
  The end of a conditional section.

  Specified by:
    `endConditional` in interface `XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augmentations)
                throws XNIException

  Deprecated.
  The end of the DTD.

  Specified by:
    `endDTD` in interface `XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endEntity

    public void endEntity(String name,
                          Augmentations augmentations)
                   throws XNIException

  Deprecated.
  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" and parameter entity names start with '%'.

  Note: Since the DTD is an entity, the handler will be notified of the end of the DTD entity by calling the endEntity method with the entity name "[dtd]" after calling the endDTD method.

  Parameters:
    `name` - The name of the entity.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startContentModel

    public void startContentModel(String elementName,
                                  short type)
                           throws XNIException

  Deprecated.
  The start of a content model. Depending on the type of the content model, specific methods may be called between the call to the startContentModel method and the call to the endContentModel method.

  Parameters:
    `elementName` - The name of the element.
    `type` - The content model type.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLElementDecl.TYPE_EMPTY`, `XMLElementDecl.TYPE_ANY`, `XMLElementDecl.TYPE_MIXED`, `XMLElementDecl.TYPE_CHILDREN`

### mixedElement

    public void mixedElement(String elementName)
                      throws XNIException

  Deprecated.
  A referenced element in a mixed content model. If the mixed content model only allows text content, then this method will not be called for that model. However, if this method is called for a mixed content model, then the zero or more occurrence count is implied.

  Note: This method is only called after a call to the startContentModel method where the type is TYPE_MIXED.

  Parameters:
    `elementName` - The name of the referenced element.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLElementDecl.TYPE_MIXED`

### childrenStartGroup

    public void childrenStartGroup()
                            throws XNIException

  Deprecated.
  The start of a children group.

  Note: This method is only called after a call to the startContentModel method where the type is TYPE_CHILDREN.

  Note: Children groups can be nested and have associated occurrence counts.

  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLElementDecl.TYPE_CHILDREN`

### childrenElement

    public void childrenElement(String elementName)
                         throws XNIException

  Deprecated.
  A referenced element in a children content model.

  Parameters:
    `elementName` - The name of the referenced element.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLElementDecl.TYPE_CHILDREN`

### childrenSeparator

    public void childrenSeparator(short separator)
                           throws XNIException

  Deprecated.
  The separator between choices or sequences of a children content model.

  Note: This method is only called after a call to the startContentModel method where the type is TYPE_CHILDREN.

  Parameters:
    `separator` - The type of children separator.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`, `XMLElementDecl.TYPE_CHILDREN`

### childrenOccurrence

    public void childrenOccurrence(short occurrence)
                            throws XNIException

  Deprecated.
  The occurrence count for a child in a children content model.

  Note: This method is only called after a call to the startContentModel method where the type is TYPE_CHILDREN.

  Parameters:
    `occurrence` - The occurrence count for the last children element or children group.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`, `XMLElementDecl.TYPE_CHILDREN`

### childrenEndGroup

    public void childrenEndGroup()
                          throws XNIException

  Deprecated.
  The end of a children group.

  Note: This method is only called after a call to the startContentModel method where the type is TYPE_CHILDREN.

  Throws:
    `XNIException`
  See Also:
    `XMLElementDecl.TYPE_CHILDREN`

### endContentModel

    public void endContentModel()
                         throws XNIException

  Deprecated.
  The end of a content model.

  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD